| LPCOpen Platform v1.03 LPCOpen Platform for NXP LPC Microcontrollers

- Main Page
- Modules
- Data Structures
- Files
- Related Pages

All Data Structures Files Functions Variables Typedefs Enumerations Enumerator Macros Groups Pages
Data Structures | Macros | Enumerations | Functions
CHIP: LPC8xx System and Control Driver
LPC8xx chip specific drivers

## Detailed Description

## Data Structures
struct | LPC_SYSCTL_T
| LPC11XX System Control block structure. More...

## Macros
#define | SYSCTL_RST_POR (1 << 0)
#define | SYSCTL_RST_EXTRST (1 << 1)
#define | SYSCTL_RST_WDT (1 << 2)
#define | SYSCTL_RST_BOD (1 << 3)
#define | SYSCTL_RST_SYSRST (1 << 4)
#define | SYSCTL_WAKEUP_SPI0TINT (1 << 0)
#define | SYSCTL_WAKEUP_SPI1INT (1 << 1)
#define | SYSCTL_WAKEUP_USART0INT (1 << 3)
#define | SYSCTL_WAKEUP_USART1INT (1 << 4)
#define | SYSCTL_WAKEUP_USART2INT (1 << 5)
#define | SYSCTL_WAKEUP_I2CINT (1 << 8)
#define | SYSCTL_WAKEUP_WWDTINT (1 << 12)
#define | SYSCTL_WAKEUP_BODINT (1 << 13)
#define | SYSCTL_WAKEUP_WKTINT (1 << 15)
#define | SYSCTL_DEEPSLP_BOD_PD (1 << 3)
#define | SYSCTL_DEEPSLP_WDTOSC_PD (1 << 6)
#define | SYSCTL_SLPWAKE_IRCOUT_PD (1 << 0)
#define | SYSCTL_SLPWAKE_IRC_PD (1 << 1)
#define | SYSCTL_SLPWAKE_FLASH_PD (1 << 2)
#define | SYSCTL_SLPWAKE_BOD_PD (1 << 3)
#define | SYSCTL_SLPWAKE_SYSOSC_PD (1 << 5)
#define | SYSCTL_SLPWAKE_WDTOSC_PD (1 << 6)
#define | SYSCTL_SLPWAKE_SYSPLL_PD (1 << 7)
#define | SYSCTL_SLPWAKE_ACMP_PD (1 << 15)
#define | SYSCTL_NMISRC_ENABLE ((uint32_t) 1 << 31)

## Enumerations
enum | CHIP_SYSCTL_BOOT_MODE_REMAP_T { REMAP_BOOT_LOADER_MODE, REMAP_USER_RAM_MODE, REMAP_USER_FLASH_MODE, REMAP_BOOT_LOADER_MODE, REMAP_USER_RAM_MODE, REMAP_USER_FLASH_MODE, REMAP_BOOT_LOADER_MODE, REMAP_USER_FLASH_MODE, REMAP_BOOT_LOADER_MODE, REMAP_USER_RAM_MODE, REMAP_USER_FLASH_MODE }
enum | CHIP_SYSCTL_PERIPH_RESET_T { RESET_SSP0, RESET_I2C0, RESET_SSP1, RESET_CAN0, RESET_UART0, RESET_TIMER0_16, RESET_TIMER1_16, RESET_TIMER0_32, RESET_TIMER1_32, RESET_ACMP, RESET_DAC0, RESET_ADC0, RESET_SSP0, RESET_I2C0, RESET_SSP1, RESET_SPI0, RESET_SPI1, RESET_UARTFBRG, RESET_USART0, RESET_USART1, RESET_USART2, RESET_I2C, RESET_MRT, RESET_SCT, RESET_WKT, RESET_GPIO, RESET_FLASH, RESET_ACMP }
enum | CHIP_SYSCTL_BODRSTLVL_T { SYSCTL_BODRSTLVL_RESERVED1, SYSCTL_BODRSTLVL_2_06V, SYSCTL_BODRSTLVL_2_35V, SYSCTL_BODRSTLVL_2_63V, SYSCTL_BODRSTLVL_1_46V, SYSCTL_BODRSTLVL_2_06V, SYSCTL_BODRSTLVL_2_35V, SYSCTL_BODRSTLVL_2_63V, SYSCTL_BODRSTLVL_0, SYSCTL_BODRSTLVL_1, SYSCTL_BODRSTLVL_2, SYSCTL_BODRSTLVL_3 }
enum | CHIP_SYSCTL_BODRINTVAL_T { SYSCTL_BODINTVAL_RESERVED1, SYSCTL_BODINTVAL_RESERVED1, SYSCTL_BODINTVAL_2_22V, SYSCTL_BODINTVAL_2_52V, SYSCTL_BODINTVAL_2_80V, SYSCTL_BODINTVAL_LVL0, SYSCTL_BODINTVAL_LVL1, SYSCTL_BODINTVAL_LVL2, SYSCTL_BODINTVAL_LVL3 }

## Functions
STATIC INLINE void | Chip_SYSCTL_Map (CHIP_SYSCTL_BOOT_MODE_REMAP_T remap)
| Re-map interrupt vectors.
STATIC INLINE void | Chip_SYSCTL_AssertPeriphReset (CHIP_SYSCTL_PERIPH_RESET_T periph)
| Assert reset for a peripheral.
STATIC INLINE void | Chip_SYSCTL_DeassertPeriphReset (CHIP_SYSCTL_PERIPH_RESET_T periph)
| De-assert reset for a peripheral.
STATIC INLINE void | Chip_SYSCTL_PeriphReset (CHIP_SYSCTL_PERIPH_RESET_T periph)
| Resets a peripheral.
STATIC INLINE uint32_t | Chip_SYSCTL_GetSystemRSTStatus (void)
| Get system reset status.
STATIC INLINE void | Chip_SYSCTL_ClearSystemRSTStatus (uint32_t reset)
| Clear system reset status.
STATIC INLINE uint32_t | Chip_SYSCTL_GetPORPIOStatus (void)
| Read POR captured PIO status.
STATIC INLINE void | Chip_SYSCTL_SetBODLevels (CHIP_SYSCTL_BODRSTLVL_T rstlvl, CHIP_SYSCTL_BODRINTVAL_T intlvl)
| Set brown-out detection interrupt and reset levels.
STATIC INLINE void | Chip_SYSCTL_EnableBODReset (void)
| Enable brown-out detection reset.
STATIC INLINE void | Chip_SYSCTL_DisableBODReset (void)
| Disable brown-out detection reset.
STATIC INLINE void | Chip_SYSCTL_SetSYSTCKCAL (uint32_t sysCalVal)
| Set System tick timer calibration value.
STATIC INLINE void | Chip_SYSCTL_SetIRQLatency (uint32_t latency)
| Set System IRQ latency.
STATIC INLINE uint32_t | Chip_SYSCTL_GetIRQLatency (void)
| Get System IRQ latency value.
STATIC INLINE void | Chip_SYSCTL_SetNMISource (uint32_t intsrc)
| Set source for non-maskable interrupt (NMI)
STATIC INLINE void | Chip_SYSCTL_EnableNMISource (void)
| Enable interrupt used for NMI source.
STATIC INLINE void | Chip_SYSCTL_DisableNMISource (void)
| Disable interrupt used for NMI source.
STATIC INLINE void | Chip_SYSCTL_SetPinInterrupt (uint32_t intno, uint32_t pin)
| Setup a pin source for the pin interrupts (0-7)
STATIC INLINE void | Chip_SYSCTL_EnablePINTWakeuup (uint32_t pin)
| Enables a pin's (PINT) wakeup logic.
STATIC INLINE void | Chip_SYSCTL_DisablePINTWakeup (uint32_t pin)
| Disables a pin's (PINT) wakeup logic.
STATIC INLINE void | Chip_SYSCTL_EnablePeriphWakeup (uint32_t periphmask)
| Enables peripheral's wakeup logic.
STATIC INLINE void | Chip_SYSCTL_DisablePeriphWakeup (uint32_t periphmask)
| Disables peripheral's wakeup logic.
STATIC INLINE uint32_t | Chip_SYSCTL_GetDeepSleepPD (void)
| Returns current deep sleep mask.
STATIC INLINE uint32_t | Chip_SYSCTL_GetWakeup (void)
| Return current wakup mask.
STATIC INLINE uint32_t | Chip_SYSCTL_GetPowerStates (void)
| Power up one or more blocks or peripherals.
STATIC INLINE uint32_t | Chip_SYSCTL_GetDeviceID (void)
| Return the device ID.
STATIC INLINE void | Chip_SYSCTL_SetUSARTFRGDivider (uint8_t div)
| Set The USART Fractional Generator Divider.
STATIC INLINE uint32_t | Chip_SYSCTL_GetUSARTFRGDivider (void)
| Set The USART Fractional Generator Divider.
STATIC INLINE void | Chip_SYSCTL_SetUSARTFRGMultiplier (uint8_t mult)
| Set The USART Fractional Generator Multiplier.
STATIC INLINE uint32_t | Chip_SYSCTL_GetUSARTFRGMultiplier (void)
| Get The USART Fractional Generator Multiplier.
void | Chip_SYSCTL_SetDeepSleepPD (uint32_t sleepmask)
| Setup deep sleep behaviour for power down.
void | Chip_SYSCTL_SetWakeup (uint32_t wakeupmask)
| Setup wakeup behaviour from deep sleep.
void | Chip_SYSCTL_PowerDown (uint32_t powerdownmask)
| Power down one or more blocks or peripherals.
void | Chip_SYSCTL_PowerUp (uint32_t powerupmask)
| Power up one or more blocks or peripherals.

## Macro Definition Documentation

#define SYSCTL_DEEPSLP_BOD_PD (1 << 3)

Deep sleep setup valuesBOD power-down control in Deep-sleep mode, powered down

Definition at line 69 of file syscon_8xx.h.

#define SYSCTL_DEEPSLP_WDTOSC_PD (1 << 6)

Watchdog oscillator power control in Deep-sleep, powered down

Definition at line 70 of file syscon_8xx.h.

#define SYSCTL_NMISRC_ENABLE ((uint32_t) 1 << 31)

Non-Maskable Interrupt Enable/Disable valueEnable the Non-Maskable Interrupt (NMI) source

Definition at line 87 of file syscon_8xx.h.

#define SYSCTL_RST_BOD (1 << 3)

Brown-out detect reset status

Definition at line 50 of file syscon_8xx.h.

#define SYSCTL_RST_EXTRST (1 << 1)

External reset status

Definition at line 48 of file syscon_8xx.h.

#define SYSCTL_RST_POR (1 << 0)

System reset status valuesPOR reset status

Definition at line 47 of file syscon_8xx.h.

#define SYSCTL_RST_SYSRST (1 << 4)

software system reset status

Definition at line 51 of file syscon_8xx.h.

#define SYSCTL_RST_WDT (1 << 2)

Watchdog reset status

Definition at line 49 of file syscon_8xx.h.

#define SYSCTL_SLPWAKE_ACMP_PD (1 << 15)

Analog comparator wake-up configuration

Definition at line 82 of file syscon_8xx.h.

#define SYSCTL_SLPWAKE_BOD_PD (1 << 3)

BOD wake-up configuration

Definition at line 78 of file syscon_8xx.h.

#define SYSCTL_SLPWAKE_FLASH_PD (1 << 2)

Flash wake-up configuration

Definition at line 77 of file syscon_8xx.h.

#define SYSCTL_SLPWAKE_IRC_PD (1 << 1)

IRC oscillator power-down wake-up configuration

Definition at line 76 of file syscon_8xx.h.

#define SYSCTL_SLPWAKE_IRCOUT_PD (1 << 0)

Deep sleep to wakeup and power state setup valuesIRC oscillator output wake-up configuration

Definition at line 75 of file syscon_8xx.h.

#define SYSCTL_SLPWAKE_SYSOSC_PD (1 << 5)

System oscillator wake-up configuration

Definition at line 79 of file syscon_8xx.h.

#define SYSCTL_SLPWAKE_SYSPLL_PD (1 << 7)

System PLL wake-up configuration

Definition at line 81 of file syscon_8xx.h.

#define SYSCTL_SLPWAKE_WDTOSC_PD (1 << 6)

Watchdog oscillator wake-up configuration

Definition at line 80 of file syscon_8xx.h.

#define SYSCTL_WAKEUP_BODINT (1 << 13)

Brown Out Detect (BOD) interrupt wake-up

Definition at line 63 of file syscon_8xx.h.

#define SYSCTL_WAKEUP_I2CINT (1 << 8)

I2C interrupt wake-up

Definition at line 61 of file syscon_8xx.h.

#define SYSCTL_WAKEUP_SPI0TINT (1 << 0)

Peripheral interrupt wakeup events valuesSPI0 interrupt wake-up

Definition at line 56 of file syscon_8xx.h.

#define SYSCTL_WAKEUP_SPI1INT (1 << 1)

SPI0 interrupt wake-up

Definition at line 57 of file syscon_8xx.h.

#define SYSCTL_WAKEUP_USART0INT (1 << 3)

USART0 interrupt wake-up

Definition at line 58 of file syscon_8xx.h.

#define SYSCTL_WAKEUP_USART1INT (1 << 4)

USART1 interrupt wake-up

Definition at line 59 of file syscon_8xx.h.

#define SYSCTL_WAKEUP_USART2INT (1 << 5)

USART2 interrupt wake-up

Definition at line 60 of file syscon_8xx.h.

#define SYSCTL_WAKEUP_WKTINT (1 << 15)

Self wake-up timer interrupt wake-up

Definition at line 64 of file syscon_8xx.h.

#define SYSCTL_WAKEUP_WWDTINT (1 << 12)

WWDT interrupt wake-up

Definition at line 62 of file syscon_8xx.h.

## Enumeration Type Documentation

enum CHIP_SYSCTL_BODRINTVAL_T

Brown-out detector interrupt level

Enumerator:

  SYSCTL_BODINTVAL_RESERVED1 |
  SYSCTL_BODINTVAL_RESERVED1 |
  SYSCTL_BODINTVAL_2_22V | Brown-out interrupt at 2.22v
  SYSCTL_BODINTVAL_2_52V | Brown-out interrupt at 2.52v
  SYSCTL_BODINTVAL_2_80V | Brown-out interrupt at 2.8v
  SYSCTL_BODINTVAL_LVL0 |
  SYSCTL_BODINTVAL_LVL1 |
  SYSCTL_BODINTVAL_LVL2 |
  SYSCTL_BODINTVAL_LVL3 |

Definition at line 184 of file syscon_8xx.h.

enum CHIP_SYSCTL_BODRSTLVL_T

Brown-out detector reset level

Enumerator:

  SYSCTL_BODRSTLVL_RESERVED1 | Only possible value for LPC11A/02/XXLV
  SYSCTL_BODRSTLVL_2_06V | Brown-out reset at 2.06v
  SYSCTL_BODRSTLVL_2_35V | Brown-out reset at 2.35v
  SYSCTL_BODRSTLVL_2_63V | Brown-out reset at 2.63v
  SYSCTL_BODRSTLVL_1_46V | Brown-out reset at 1.46v
  SYSCTL_BODRSTLVL_2_06V | Brown-out reset at 2.06v
  SYSCTL_BODRSTLVL_2_35V | Brown-out reset at 2.35v
  SYSCTL_BODRSTLVL_2_63V | Brown-out reset at 2.63v
  SYSCTL_BODRSTLVL_0 | Brown-out reset at 1.46 ~ 1.63v
  SYSCTL_BODRSTLVL_1 | Brown-out reset at 2.06v ~ 2.15v
  SYSCTL_BODRSTLVL_2 | Brown-out reset at 2.35v ~ 2.43v
  SYSCTL_BODRSTLVL_3 | Brown-out reset at 2.63v ~ 2.71v

Definition at line 174 of file syscon_8xx.h.

enum CHIP_SYSCTL_BOOT_MODE_REMAP_T

System memory remap modes used to remap interrupt vectors

Enumerator:

  REMAP_BOOT_LOADER_MODE | Interrupt vectors are re-mapped to Boot ROM
  REMAP_USER_RAM_MODE | Interrupt vectors are re-mapped to Static RAM
  REMAP_USER_FLASH_MODE | Interrupt vectors are not re-mapped and reside in Flash
  REMAP_BOOT_LOADER_MODE | Interrupt vectors are re-mapped to Boot ROM
  REMAP_USER_RAM_MODE | Interrupt vectors are re-mapped to Static RAM
  REMAP_USER_FLASH_MODE | Interrupt vectors are not re-mapped and reside in Flash
  REMAP_BOOT_LOADER_MODE | Interrupt vectors are re-mapped to Boot ROM
  REMAP_USER_FLASH_MODE | Interrupt vectors are not re-mapped and reside in Flash
  REMAP_BOOT_LOADER_MODE | Interrupt vectors are re-mapped to Boot ROM
  REMAP_USER_RAM_MODE | Interrupt vectors are re-mapped to user Static RAM
  REMAP_USER_FLASH_MODE | Interrupt vectors are not re-mapped and reside in Flash

Definition at line 146 of file syscon_8xx.h.

enum CHIP_SYSCTL_PERIPH_RESET_T

Peripheral reset identifiers

Enumerator:

  RESET_SSP0 | SSP0 reset control
  RESET_I2C0 | I2C0 reset control
  RESET_SSP1 | SSP1 reset control
  RESET_CAN0 | CAN0 reset control
  RESET_UART0 | UART0 reset control
  RESET_TIMER0_16 | 16-bit Timer 0 reset control
  RESET_TIMER1_16 | 16-bit Timer 1 reset control
  RESET_TIMER0_32 | 32-bit Timer 0 reset control
  RESET_TIMER1_32 | 32-bit Timer 1 reset control
  RESET_ACMP | Analog comparator reset control
  RESET_DAC0 | DAC reset control
  RESET_ADC0 | ADC reset control
  RESET_SSP0 | SSP0 reset control
  RESET_I2C0 | I2C0 reset control
  RESET_SSP1 | SSP1 reset control
  RESET_SPI0 | SPI0 reset control
  RESET_SPI1 | SPI1 reset control
  RESET_UARTFBRG | UART fractional baud rate generator reset control
  RESET_USART0 | USART0 reset control
  RESET_USART1 | USART1 reset control
  RESET_USART2 | USART2 reset control
  RESET_I2C | I2C reset control
  RESET_MRT | MRT reset control
  RESET_SCT | SCT reset control
  RESET_WKT | Self wake-up timer (WKT) control
  RESET_GPIO | GPIO reset control
  RESET_FLASH | FLASH reset control
  RESET_ACMP | ACMP reset control

Definition at line 155 of file syscon_8xx.h.

## Function Documentation

STATIC INLINE void Chip_SYSCTL_AssertPeriphReset | ( | CHIP_SYSCTL_PERIPH_RESET_T | periph | ) |

Assert reset for a peripheral.

Parameters

  periph | : Peripheral to assert reset for

Returns
  Nothing

Note
  The peripheral will stay in reset until reset is de-asserted. Call Chip_SYSCTL_DeassertPeriphReset() to de-assert the reset

Definition at line 208 of file syscon_8xx.h.

STATIC INLINE void Chip_SYSCTL_ClearSystemRSTStatus | ( | uint32_t | reset | ) |

Clear system reset status.

Parameters

  reset | : An Or'ed value of SYSCTL_RST_* status to clear

Returns
  Nothing

Note
  This function clears the specified reset source(s).

Definition at line 250 of file syscon_8xx.h.

STATIC INLINE void Chip_SYSCTL_DeassertPeriphReset | ( | CHIP_SYSCTL_PERIPH_RESET_T | periph | ) |

De-assert reset for a peripheral.

Parameters

  periph | : Peripheral to de-assert reset for

Returns
  Nothing

Definition at line 218 of file syscon_8xx.h.

STATIC INLINE void Chip_SYSCTL_DisableBODReset | ( | void |  | ) |

Disable brown-out detection reset.

Returns
  Nothing

Definition at line 292 of file syscon_8xx.h.

STATIC INLINE void Chip_SYSCTL_DisableNMISource | ( | void |  | ) |

Disable interrupt used for NMI source.

Returns
  Nothing

Definition at line 353 of file syscon_8xx.h.

STATIC INLINE void Chip_SYSCTL_DisablePeriphWakeup | ( | uint32_t | periphmask | ) |

Disables peripheral's wakeup logic.

Parameters

  periphmask | : OR'ed values of SYSCTL_WAKEUP_* for wakeup

Returns
  Nothing

Definition at line 410 of file syscon_8xx.h.

STATIC INLINE void Chip_SYSCTL_DisablePINTWakeup | ( | uint32_t | pin | ) |

Disables a pin's (PINT) wakeup logic.

Parameters

  pin | : pin number

Returns
  Nothing

Note
  Different devices support different pins, see the user manual for supported pins.

Definition at line 390 of file syscon_8xx.h.

STATIC INLINE void Chip_SYSCTL_EnableBODReset | ( | void |  | ) |

Enable brown-out detection reset.

Returns
  Nothing

Definition at line 283 of file syscon_8xx.h.

STATIC INLINE void Chip_SYSCTL_EnableNMISource | ( | void |  | ) |

Enable interrupt used for NMI source.

Returns
  Nothing

Definition at line 344 of file syscon_8xx.h.

STATIC INLINE void Chip_SYSCTL_EnablePeriphWakeup | ( | uint32_t | periphmask | ) |

Enables peripheral's wakeup logic.

Parameters

  periphmask | : OR'ed values of SYSCTL_WAKEUP_* for wakeup

Returns
  Nothing

Definition at line 400 of file syscon_8xx.h.

STATIC INLINE void Chip_SYSCTL_EnablePINTWakeuup | ( | uint32_t | pin | ) |

Enables a pin's (PINT) wakeup logic.

Parameters

  pin | : pin number

Returns
  Nothing

Note
  Different devices support different pins, see the user manual for supported pins

Definition at line 379 of file syscon_8xx.h.

STATIC INLINE uint32_t Chip_SYSCTL_GetDeepSleepPD | ( | void |  | ) |

Returns current deep sleep mask.

Returns
  OR'ed values of SYSCTL_DEEPSLP_* values

Note
  A high bit indicates the peripheral will power down on deep sleep.

Definition at line 420 of file syscon_8xx.h.

STATIC INLINE uint32_t Chip_SYSCTL_GetDeviceID | ( | void |  | ) |

Return the device ID.

Returns
  Device ID

Definition at line 449 of file syscon_8xx.h.

STATIC INLINE uint32_t Chip_SYSCTL_GetIRQLatency | ( | void |  | ) |

Get System IRQ latency value.

Returns
  IRQ Latency in clock ticks

Definition at line 323 of file syscon_8xx.h.

STATIC INLINE uint32_t Chip_SYSCTL_GetPORPIOStatus | ( | void |  | ) |

Read POR captured PIO status.

Returns
  captured POR PIO status

Note
  Some devices only support index 0.

Definition at line 260 of file syscon_8xx.h.

STATIC INLINE uint32_t Chip_SYSCTL_GetPowerStates | ( | void |  | ) |

Power up one or more blocks or peripherals.

Returns
  OR'ed values of SYSCTL_SLPWAKE_* values

Note
  A high state indicates the peripheral is powered down.

Definition at line 440 of file syscon_8xx.h.

STATIC INLINE uint32_t Chip_SYSCTL_GetSystemRSTStatus | ( | void |  | ) |

Get system reset status.

Returns
  An Or'ed value of SYSCTL_RST_*

Note
  This function returns the detected reset source(s).

Definition at line 239 of file syscon_8xx.h.

STATIC INLINE uint32_t Chip_SYSCTL_GetUSARTFRGDivider | ( | void |  | ) |

Set The USART Fractional Generator Divider.

Returns
  Value of USART Fractional Generator Divider

Definition at line 468 of file syscon_8xx.h.

STATIC INLINE uint32_t Chip_SYSCTL_GetUSARTFRGMultiplier | ( | void |  | ) |

Get The USART Fractional Generator Multiplier.

Returns
  Value of USART Fractional Generator Multiplier

Definition at line 487 of file syscon_8xx.h.

STATIC INLINE uint32_t Chip_SYSCTL_GetWakeup | ( | void |  | ) |

Return current wakup mask.

Returns
  OR'ed values of SYSCTL_SLPWAKE_* values

Note
  A high state indicates the peripehral will powerup on wakeup.

Definition at line 430 of file syscon_8xx.h.

STATIC INLINE void Chip_SYSCTL_Map | ( | CHIP_SYSCTL_BOOT_MODE_REMAP_T | remap | ) |

Re-map interrupt vectors.

Parameters

  remap | : system memory map value

Returns
  Nothing

Definition at line 196 of file syscon_8xx.h.

STATIC INLINE void Chip_SYSCTL_PeriphReset | ( | CHIP_SYSCTL_PERIPH_RESET_T | periph | ) |

Resets a peripheral.

Parameters

  periph | : Peripheral to reset

Returns
  Nothing

Definition at line 228 of file syscon_8xx.h.

void Chip_SYSCTL_PowerDown | ( | uint32_t | powerdownmask | ) |

Power down one or more blocks or peripherals.

Parameters

  powerdownmask | : OR'ed values of SYSCTL_SLPWAKE_* values

Returns
  Nothing

Parameters

  powerdownmask | : OR'ed values of SYSCTL_POWERDOWN_* values

Returns
  Nothing

Definition at line 98 of file sysctl_11xx.c.

void Chip_SYSCTL_PowerUp | ( | uint32_t | powerupmask | ) |

Power up one or more blocks or peripherals.

Parameters

  powerupmask | : OR'ed values of SYSCTL_SLPWAKE_* values

Returns
  Nothing

Parameters

  powerupmask | : OR'ed values of SYSCTL_POWERDOWN_* values

Returns
  Nothing

Definition at line 109 of file sysctl_11xx.c.

STATIC INLINE void Chip_SYSCTL_SetBODLevels | ( | CHIP_SYSCTL_BODRSTLVL_T | rstlvl,
|  | CHIP_SYSCTL_BODRINTVAL_T | intlvl
| ) |  |

Set brown-out detection interrupt and reset levels.

Parameters

  rstlvl | : Brown-out detector reset level
  intlvl | : Brown-out interrupt level

Returns
  Nothing

Note
  Brown-out detection reset will be disabled upon exiting this function. Use Chip_SYSCTL_EnableBODReset() to re-enable

Definition at line 273 of file syscon_8xx.h.

void Chip_SYSCTL_SetDeepSleepPD | ( | uint32_t | sleepmask | ) |

Setup deep sleep behaviour for power down.

Parameters

  sleepmask | : OR'ed values of SYSCTL_DEEPSLP_* values (high to powerdown on deepsleep)

Returns
  Nothing

Note
  This must be setup prior to using deep sleep. See the user manual *(PDSLEEPCFG register) for more info on setting this up. This function selects which peripherals are powered down on deep sleep. This function should only be called once with all options for power-down in that call

Parameters

  sleepmask | : OR'ed values of SYSCTL_DEEPSLP_* values (high to powerdown on deepsleep)

Returns
  Nothing

Note
  This must be setup prior to using deep sleep. See the user manual (PDSLEEPCFG register) for more info on setting this up. This function selects which peripherals are powered down on deep sleep. This function should only be called once with all options for power-down in that call.

Definition at line 82 of file sysctl_11xx.c.

STATIC INLINE void Chip_SYSCTL_SetIRQLatency | ( | uint32_t | latency | ) |

Set System IRQ latency.

Parameters

  latency | : Latency in clock ticks

Returns
  Nothing

Note
  Sets the IRQ latency, a value between 0 and 255 clocks. Lower values allow better latency

Definition at line 314 of file syscon_8xx.h.

STATIC INLINE void Chip_SYSCTL_SetNMISource | ( | uint32_t | intsrc | ) |

Set source for non-maskable interrupt (NMI)

Parameters

  intsrc | : IRQ number to assign to the NMI

Returns
  Nothing

Note
  The NMI source will be disabled upon exiting this function. Use the Chip_SYSCTL_EnableNMISource() function to enable the NMI source

Definition at line 335 of file syscon_8xx.h.

STATIC INLINE void Chip_SYSCTL_SetPinInterrupt | ( | uint32_t | intno,
|  | uint32_t | pin
| ) |  |

Setup a pin source for the pin interrupts (0-7)

Parameters

  intno | : IRQ number
  pin | : pin number (see comments)

Returns
  Nothing

Note
  For each pin (0-7) that supports an interrupt, the pin number is assigned to that interrupt with this function. Values 0-17 map to pins PIO0-0 to PIO0-17

Definition at line 367 of file syscon_8xx.h.

STATIC INLINE void Chip_SYSCTL_SetSYSTCKCAL | ( | uint32_t | sysCalVal | ) |

Set System tick timer calibration value.

Parameters

  sysCalVal | : System tick timer calibration value

Returns
  Nothing

Definition at line 302 of file syscon_8xx.h.

STATIC INLINE void Chip_SYSCTL_SetUSARTFRGDivider | ( | uint8_t | div | ) |

Set The USART Fractional Generator Divider.

Parameters

  div | : Fractional Generator Divider value, should be 0xFF

Returns
  Nothing

Definition at line 459 of file syscon_8xx.h.

STATIC INLINE void Chip_SYSCTL_SetUSARTFRGMultiplier | ( | uint8_t | mult | ) |

Set The USART Fractional Generator Multiplier.

Parameters

  mult | : An 8-bit value (0-255) U_PCLK = UARTCLKDIV/(1 + MULT/256)

Returns
  Nothing

Definition at line 478 of file syscon_8xx.h.

void Chip_SYSCTL_SetWakeup | ( | uint32_t | wakeupmask | ) |

Setup wakeup behaviour from deep sleep.

Parameters

  wakeupmask | : OR'ed values of SYSCTL_SLPWAKE_* values (high is powered down)

Returns
  Nothing

Note
  This must be setup prior to using deep sleep. See the user manual *(PDWAKECFG register) for more info on setting this up. This function selects which peripherals are powered up on exit from deep sleep. This function should only be called once with all options for wakeup in that call

Parameters

  wakeupmask | : OR'ed values of SYSCTL_SLPWAKE_* values (high is powered down)

Returns
  Nothing

Note
  This must be setup prior to using deep sleep. See the user manual (PDWAKECFG register) for more info on setting this up. This function selects which peripherals are powered up on exit from deep sleep. This function should only be called once with all options for wakeup in that call.

Definition at line 89 of file sysctl_11xx.c.